Skip to main content
`Ctrl`+`K`

# VecBoundToCPU

query if a vector is bound to the CPU

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecBoundToCPU(Vec v, PetscBool *flg)

Not collective

## Input Parameter

- v - the vector

## Output Parameter

- flg - the logical flag

## See Also

Vectors and Parallel Data, `Vec`, `VecBindToCPU()`

## Level

intermediate

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages